--by susi&wing /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local salHudFile = "hud/hud_fill_sal.png"
        local salHudFileSmall = "hud/hud_fill_sal_small.png"       		
		local compostHeapDiffuse = Utils.getFilename("fillPlanes/sal_diffuse.png", modDirectory)
        local compostHeapnormal  = Utils.getFilename("fillPlanes/sal_normal.png", modDirectory)  
        local compostHeapdistance = Utils.getFilename("fillPlanes/distance/salDistance_diffuse.png", modDirectory)  
		      
		print("Register new filltype for Desalinizadora:sal/salt/sal/salée");
        local salFilType = g_fillTypeManager:addFillType("SAL", g_i18n:getText("sal"), true, priceMaize * 1.1, 0.00045, math.rad(40), salHudFile, salHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local SALCategory = {"BULK"}
		for _,k in pairs(SALCategory) do
			g_fillTypeManager:addFillTypeToCategory(salFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hassal=false		
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hassal=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "SAL" then
					hassal=true								
				end;	
			end;
				
				if hasmaize and not hassal then
					--add SAL zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("SAL")
					local price = g_fillTypeManager:getFillTypeByName("SAL").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("SAL")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;						
		end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

